
/* standard indicators */
SELECT * FROM mfdb.`fund_performance` WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND isvalid = 1 AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

SELECT fund_id, end_date, stddev_ytd, stddev_2y, stddev_incep, skewness_ytd, skewness_2y, skewness_incep, 
       kurtosis_ytd, kurtosis_2y, kurtosis_incep,
       worstmonth_ytd, worstmonth_2y, worstmonth_incep, maxdrawdown_ytd, maxdrawdown_2y, maxdrawdown_incep
FROM mfdb.fund_risk_stats WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

SELECT fund_id, end_date, calmarratio_ytd, calmarratio_2y, calmarratio_incep
FROM mfdb.`fund_riskadjret_stats` WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

SELECT fund_id, end_date, var_ytd, var_2y, var_incep, cvar_ytd, cvar_2y, cvar_incep
FROM mfdb.`fund_indicator` WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

/* downside devision, omega, sortnio, kappa */
SELECT fund_id, end_date, downsidedev_ytd, downsidedev_2y, downsidedev_incep
FROM mfdb.fund_risk_stats WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

SELECT fund_id, end_date, sortinoratio_ytd, sortinoratio_2y, sortinoratio_incep,
       omegaratio_ytd, omegaratio_2y, omegaratio_incep, kapparatio_ytd, kapparatio_2y, kapparatio_incep
FROM mfdb.`fund_riskadjret_stats` WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

/* win rate, tracking error, information ratio */
SELECT fund_id, end_date, winrate_ytd, winrate_2y, winrate_incep
FROM mfdb.fund_risk_stats WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

SELECT fund_id, end_date, info_ratio_ytd, info_ratio_2y, info_ratio_incep, 
       tracking_error_ytd, tracking_error_2y, tracking_error_incep
FROM mfdb.`fund_indicator` WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

/* alpha, beta */
SELECT fund_id, end_date, beta_ytd, beta_2y, beta_incep, alpha_ytd, alpha_2y, alpha_incep
FROM mfdb.fund_risk_stats WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

/* capture indicators */
SELECT fund_id, end_date, 
       upsidecapture_ret_ytd, upsidecapture_ret_2y, upsidecapture_ret_incep,
       upsidecapture_ratio_ytd, upsidecapture_ratio_2y, upsidecapture_ratio_incep,
       downsidecapture_ret_ytd, downsidecapture_ret_2y, downsidecapture_ret_incep,
       downsidecapture_ratio_ytd, downsidecapture_ratio_2y, downsidecapture_ratio_incep
FROM mfdb.fund_style_stats WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

/* sharpe */
SELECT fund_id, end_date, sharperatio_ytd, sharperatio_2y, sharperatio_incep
FROM mfdb.`fund_riskadjret_stats` WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

/* treynor, jensen */
SELECT fund_id, end_date, 
       treynorratio_ytd, treynorratio_2y, treynorratio_incep, jensen_ytd, jensen_2y, jensen_incep
FROM mfdb.`fund_riskadjret_stats` WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

/* M2 */
SELECT fund_id, end_date, m2_ytd, m2_2y, m2_incep
FROM mfdb.`fund_indicator` WHERE fund_id IN ('MF00003PW1', 'MF00003RS0') AND end_date IN ('2024-07', '2024-08') ORDER BY fund_id, end_date

