USE raw_db;
-- DROP TABLE fund_risk_stats_dolphin;
CREATE TABLE `fund_risk_stats_dolphin` (
  `fund_id` varchar(10) NOT NULL COMMENT '基金id',
  `end_date` varchar(7) NOT NULL COMMENT '截至日期',
  `stddev_6m` decimal(22,6) DEFAULT NULL,
  `downsidedev_6m` decimal(22,6) DEFAULT NULL,
  `alpha_6m` decimal(22,6) DEFAULT NULL,
  `winrate_6m` decimal(22,6) DEFAULT NULL,
  `beta_6m` decimal(22,6) DEFAULT NULL,
  `skewness_6m` decimal(22,6) DEFAULT NULL,
  `kurtosis_6m` decimal(22,6) DEFAULT NULL,
  `worstmonth_6m` decimal(22,6) DEFAULT NULL,
  `6m_maxdrawdown` decimal(22,6) DEFAULT NULL, -- mfdb正式表中 maxdrawdown_6m 是 6m_maxdrawdown 的虚拟列
  `stddev_1y` decimal(22,6) DEFAULT NULL,
  `downsidedev_1y` decimal(22,6) DEFAULT NULL,
  `alpha_1y` decimal(22,6) DEFAULT NULL,
  `winrate_1y` decimal(22,6) DEFAULT NULL,
  `beta_1y` decimal(22,6) DEFAULT NULL,
  `skewness_1y` decimal(22,6) DEFAULT NULL,
  `kurtosis_1y` decimal(22,6) DEFAULT NULL,
  `worstmonth_1y` decimal(22,6) DEFAULT NULL,
  `maxdrawdown_1y` decimal(22,6) DEFAULT NULL,
  `stddev_2y` decimal(22,6) DEFAULT NULL,
  `downsidedev_2y` decimal(22,6) DEFAULT NULL,
  `alpha_2y` decimal(22,6) DEFAULT NULL,
  `winrate_2y` decimal(22,6) DEFAULT NULL,
  `beta_2y` decimal(22,6) DEFAULT NULL,
  `skewness_2y` decimal(22,6) DEFAULT NULL,
  `kurtosis_2y` decimal(22,6) DEFAULT NULL,
  `worstmonth_2y` decimal(22,6) DEFAULT NULL,
  `maxdrawdown_2y` decimal(22,6) DEFAULT NULL,  
  `stddev_3y` decimal(22,6) DEFAULT NULL,
  `downsidedev_3y` decimal(22,6) DEFAULT NULL,
  `alpha_3y` decimal(22,6) DEFAULT NULL,
  `winrate_3y` decimal(22,6) DEFAULT NULL,
  `beta_3y` decimal(22,6) DEFAULT NULL,
  `skewness_3y` decimal(22,6) DEFAULT NULL,
  `kurtosis_3y` decimal(22,6) DEFAULT NULL,
  `worstmonth_3y` decimal(22,6) DEFAULT NULL,
  `maxdrawdown_3y` decimal(22,6) DEFAULT NULL,
  `stddev_4y` decimal(22,6) DEFAULT NULL,
  `downsidedev_4y` decimal(22,6) DEFAULT NULL,
  `alpha_4y` decimal(22,6) DEFAULT NULL,
  `winrate_4y` decimal(22,6) DEFAULT NULL,
  `beta_4y` decimal(22,6) DEFAULT NULL,
  `skewness_4y` decimal(22,6) DEFAULT NULL,
  `kurtosis_4y` decimal(22,6) DEFAULT NULL,
  `worstmonth_4y` decimal(22,6) DEFAULT NULL,
  `maxdrawdown_4y` decimal(22,6) DEFAULT NULL,
  `stddev_5y` decimal(22,6) DEFAULT NULL,
  `downsidedev_5y` decimal(22,6) DEFAULT NULL,
  `alpha_5y` decimal(22,6) DEFAULT NULL,
  `winrate_5y` decimal(22,6) DEFAULT NULL,
  `beta_5y` decimal(22,6) DEFAULT NULL,
  `skewness_5y` decimal(22,6) DEFAULT NULL,
  `kurtosis_5y` decimal(22,6) DEFAULT NULL,
  `worstmonth_5y` decimal(22,6) DEFAULT NULL,
  `maxdrawdown_5y` decimal(22,6) DEFAULT NULL,
  `stddev_10y` decimal(22,6) DEFAULT NULL,
  `downsidedev_10y` decimal(22,6) DEFAULT NULL,
  `alpha_10y` decimal(22,6) DEFAULT NULL,
  `winrate_10y` decimal(22,6) DEFAULT NULL,
  `beta_10y` decimal(22,6) DEFAULT NULL,
  `skewness_10y` decimal(22,6) DEFAULT NULL,
  `kurtosis_10y` decimal(22,6) DEFAULT NULL,
  `worstmonth_10y` decimal(22,6) DEFAULT NULL,
  `maxdrawdown_10y` decimal(22,6) DEFAULT NULL,
  `stddev_ytd` decimal(22,6) DEFAULT NULL,
  `downsidedev_ytd` decimal(22,6) DEFAULT NULL,
  `alpha_ytd` decimal(22,6) DEFAULT NULL,
  `winrate_ytd` decimal(22,6) DEFAULT NULL,
  `beta_ytd` decimal(22,6) DEFAULT NULL,
  `skewness_ytd` decimal(22,6) DEFAULT NULL,
  `kurtosis_ytd` decimal(22,6) DEFAULT NULL,
  `worstmonth_ytd` decimal(22,6) DEFAULT NULL,
  `ytd_maxdrawdown` decimal(22,6) DEFAULT NULL, -- mfdb正式表中 maxdrawdown_ytd 是 ytd_maxdrawdown的虚拟列
  `stddev_incep` decimal(22,6) DEFAULT NULL,
  `downsidedev_incep` decimal(22,6) DEFAULT NULL,
  `alpha_incep` decimal(22,6) DEFAULT NULL,
  `winrate_incep` decimal(22,6) DEFAULT NULL,
  `beta_incep` decimal(22,6) DEFAULT NULL,
  `skewness_incep` decimal(22,6) DEFAULT NULL,
  `kurtosis_incep` decimal(22,6) DEFAULT NULL,
  `worstmonth_incep` decimal(22,6) DEFAULT NULL,
  `maxdrawdown_incep` decimal(22,6) DEFAULT NULL,
  PRIMARY KEY (`fund_id`,`end_date`)
) COMMENT='DolphinDB写回的基金历史风险指标表'
